[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TParser.TokenInt

Returns the current token as an integer.

## Declaration

Source position: classesh.inc line 1530

`public function TParser.TokenInt: Int64;`

## Description

If current token type is toInteger, this method returns the token value as an integer.

In the input stream an integer can be an hexadecimal (prefixed by '$' character) or decimal number. Decimal numbers can be prefixed by an unary minus: if this is the case, no space must exist between minus and number.

## Errors

If Token isn't toInteger, an EConvertError exception is raised.

## See also

TParser.NextToken |  | Reads the next token and returns its type.
TParser.Token |  | The type of the current token.
toInteger |  | Value returned by TParser.Token when an integer was found in the input stream.

Documentation generated on: Feb 26 2014